<!DOCTYPE html>
<html lang="en">
<head>

<style type="text/css">
	main{

		width:800px;
		height: 600px;
		position: relative;
		top:50px;
		left:100px;
	}
	section.ahorcado{
		width: 300px;
		height: 200px;
		border:1px black solid;
		clear:both;
	}
	section .accion{
		width: 100%;
		height: 20%;
	}

	#palabraAuxiliar{
		width:50%;
		float:left;
	} 
	#letra{
		width: 30%;
		float:left;
	}
	#envio{
		width: 20%;
		float:left;
	}
	img{
		width: 100%;
		height: 100%;
	}
</style>

	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		/**
		 * Colocar las palabras para jugar
		 */
		
		let palabras=[
			"coche",
			"moto",
			"camion",
			"manzana"
		];

	</script>


	<script type="text/javascript">

	/*
	No tocar
	 */

	//variables globales
	let fotoAhorcado=document.querySelectorAll(".ahorcado");
	//let palabraAuxiliar=[];
	let intentos=1;
	let contador=0;
	let palabra="";
	//carga de documento
window.addEventListener("load", function(){
	    
    
    document.querySelector(".ahorcado").innerHTML='<img src="img/ahorcado_1.jpg">';
    palabra=generaPalabra(palabras);
    let palabraAuxiliar=palabra;
	console.log("la palabra secreta es "+palabra+"y palabra auxiliar vale "+palabraAuxiliar);
    generaDiv(palabraAuxiliar);
    document.querySelector("#envio>button").addEventListener("click",function(){
    	let sw=true;
       
		letra =  document.querySelector("#letra>input").value;

		    for(i=0;i<palabra.length; i++){
		   		console.log("entra en el for de buscaletra "+letra);
		   		if (palabra[i]==letra){

					palabraAuxiliar[i] = letra;
					sw = false;
					console.log("entra en el primer if "+palabraAuxiliar);
					
					 
					 contador++;
					 if (contador==palabra.length) {
					 	console.log("ganaste");
					 }

		    	}
		    }
			
			if(sw){
			    ahorcado();
			    //sw=true;
			}

    });




   //document.querySelector("#letra");


    

      
});

  function generaDiv(p){
  	let saco="";
  	console.log("p.length vale "+p.length);
  	for(let i = 0; i < p.length; i++){
  		console.log("entra en for del saco");
  		saco+="<div>"+p[i]+"</div>";
  		  	}
  		  	console.log("saco vale "+saco);
  		  	document.querySelector("#pAux").innerHTML=saco;
  }	


  function rellenaInterrogantes(p){

  	for (let i = 0; i < p.length; i++) {
  		palabraAuxiliar[i]="?";
  	}
  	console.log("palabraauxiliar vale "+palabraAuxiliar);
  }
    
  function generaPalabra(palabras)
  {
  	let n=Math.floor((Math.random() * palabras.length) + 0);
  	console.log("n aleatorio es "+n);

		palabraAuxiliar=rellenaInterrogantes(palabras[n]);
		//document.querySelector("#pAux").innerHTML=palabraAuxiliar;
    	return palabras[n];
  }

  function ahorcado(){
		console.log("llega ahorcado");
		if(intentos==6){
 		  	
		  }
		else{
			intentos++;

			document.querySelector(".ahorcado").innerHTML='<img src="img/ahorcado_'+[intentos]+'.jpg">';
		}
	}
   

	</script>
</head>
<body>
	<main>
		<section class="ahorcado">
		
		

		</section>
		<section class="accion">
			<div id="palabraAuxiliar"></div>
			<span id="pAux"></span>
			<div id="letra"><input type="text"/></div>
			<div id="envio">
				<button>Enviar</button>
			</div>
		</section>	
	
	

	</main>

	<img class="ahorcado">
	<img class="ahorcado">
	<img class="ahorcado">
	<img class="ahorcado">
	<img class="ahorcado">
</body>
</html>